FAQ

On 2016-05-18 20:19, Jeff Jirsa wrote:
You can’t stream between versions, so in order to grow the cluster, you’ll need to be entirely on 2.0 or entirely on 2.1.
OK. I was sure you can't stream between a 2.0 node and a 2.1 node, but
if I understand you correctly you can't stream between two 2.1 nodes
unless the sstables on the source node has been upgraded to "ka", i.e.
the 2.1 sstable version?

Looks like it's extend first, upgrade later, given that we're a bit
close on disk capacity.

Thanks,
\EF
If you go to 2.1 first, be sure you run upgradesstables before you try to extend the cluster.




On 5/18/16, 11:17 AM, "Erik Forsberg" wrote:

Hi!

I have a 2.0.13 cluster which I need to do two things with:

* Extend it
* Upgrade to 2.1.14

I'm pondering in what order to do things. Is it a supported operation to
extend a partially upgraded cluster, i.e. a cluster upgraded to 2.0
where not all sstables have been upgraded?

If I do that, will the sstables written on the new nodes be in the 2.1
format when I add them? Or will they be written in the 2.0 format so
I'll have to run upgradesstables anyway?

The cleanup I do on the existing nodes, will write the new 2.1 format,
right?

There might be other reasons not to do this, one being that it's seldom
wise to do many operations at once. So please enlighten me on how bad an
idea this is :-)

Thanks,
\EF

Search Discussions

Discussion Posts

Previous

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 3 of 3 | next ›
Discussion Overview
groupuser @
categoriescassandra
postedMay 18, '16 at 6:17p
activeMay 18, '16 at 6:37p
posts3
users2
websitecassandra.apache.org
irc#cassandra

2 users in discussion

Erik Forsberg: 2 posts Jeff Jirsa: 1 post

People

Translate

site design / logo © 2022 Grokbase